### Function Macro

# GObject signal_handlers_disconnect_by_data

since: 2.32

#### Declaration

    #define g_signal_handlers_disconnect_by_data (
      instance,
      data
    )

#### Description

Disconnects all handlers on an instance that match `data`.

Available since: 2.32

This function is not directly available to language bindings.

#### Parameters

`instance`

  Type: `-`

  The instance to remove handlers from.

`data`

  Type: `-`

  The closure data of the handlers’ closures.